// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) UserCircleEdges() UserCircleEdges { return UserCircleEdges(t) }

type UserCircleEdges struct{ alias string }

func (t UserCircleEdges) TableAlias() string { return t.alias }
func (t UserCircleEdges) name() string       { return "UserCircleEdges" }
func (t UserCircleEdges) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t UserCircleEdges) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.LeftAt(),
		c.UserID(),
		c.CircleID(),
		c.IsMember(),
		c.JoinedAt(),
		c.CreatedAt(),
	}
}

func (t UserCircleEdges) Columns() UserCircleEdgesCols {
	return UserCircleEdgesCols{tableAlias: t.alias}
}

type UserCircleEdgesCols struct{ tableAlias string }

func (c UserCircleEdgesCols) LeftAt() string    { return colName(c.tableAlias, "LeftAt") }    // TIMESTAMP NULL
func (c UserCircleEdgesCols) UserID() string    { return colName(c.tableAlias, "UserID") }    // STRING(36)
func (c UserCircleEdgesCols) CircleID() string  { return colName(c.tableAlias, "CircleID") }  // STRING(36)
func (c UserCircleEdgesCols) IsMember() string  { return colName(c.tableAlias, "IsMember") }  // BOOL AS (CASE WHEN JoinedAt IS NULL THEN FALSE WHEN JoinedAt IS NOT NULL AND LeftAt IS NULL THEN TRUE WHEN JoinedAt IS NOT NULL AND LeftAt IS NOT NULL AND JoinedAt > LeftAt THEN TRUE ELSE FALSE END) STORED
func (c UserCircleEdgesCols) JoinedAt() string  { return colName(c.tableAlias, "JoinedAt") }  // TIMESTAMP NULL
func (c UserCircleEdgesCols) CreatedAt() string { return colName(c.tableAlias, "CreatedAt") } // TIMESTAMP
